package com.ssj.framework.weixin.card.bean;

import java.io.Serializable;

/** 
 * @author  ZhangCaibao 
 * @version 2017年3月2日 下午3:42:05 
 * 类说明 
 */
public class MemberCard implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 6211659086741341037L;
	/**
	 * 	基本的卡券数据，见下表，所有卡券类型通用。
	 */
	private  BaseInfo   base_info;
	/**
	 * prerogative	是	string（3072）	持白金会员卡到店消费，可享8折优惠。	会员卡特
	 */
	private String  prerogative;
	/**
	 * auto_activate	否	bool	true	设置为true时用户领取会员卡后系统自动将其激活，无需调用激活接口，详情见自动激活。
	 */
	private Boolean  auto_activate;
	/**
	 * wx_activate	否	bool	true	设置为true时会员卡支持一键开卡，不允许同时传入activate_url字段，
	 * 否则设置wx_activate失效。填入该字段后仍需调用接口设置开卡项方可生效，详情见一键开卡。
	 */
	private Boolean wx_activate;
	/**
	 * supply_bonus	是	bool	true	显示积分，填写true或false，如填写true，积分相关字段均为必填
	 */
	private Boolean  supply_bonus;
	/**
	 * bonus_url	否	string(32)	xxxx.com	设置跳转外链查看积分详情。仅适用于积分无法通过激活接口同步的情况下使用该字段。
	 */
	private String  bonus_url;
	/**
	 * supply_balance	是	bool	true	是否支持储值，填写true或false。如填写true，储值相关字段均为必填。
	 */
	private Boolean  supply_balance;
	/**
	 * balance_url	否	string(32)	xxxx.com	设置跳转外链查看余额详情。仅适用于余额无法通过激活接口同步的情况下使用该字段。
	 */
	private String  balance_url;
	/**
	 * 自定义会员信息类目，会员卡激活后显示。
	 */
	private CustomField custom_field1;
	/**
	 * 自定义会员信息类目，会员卡激活后显示。
	 */
	private CustomField custom_field2;
	/**
	 * 自定义会员信息类目，会员卡激活后显示。
	 */
	private CustomField custom_field3;
	/**
	 * bonus_cleared	否	string（128）	每年年底12月30号积分清0。	积分清零规则。
	 */
	private String bonus_cleared;
	/**
	 * bonus_rules	否	string（128）	每消费一元获取1点积分。	积分规则。
	 */
	private String  bonus_rules;
	/**
	 * balance_rules	否	string（128）	xxx.com	储值说明。
	 */
	private String balance_rules;
	/**
	 * activate_url	是	string（128）	xxx.com	激活会员卡的url。
	 */
	private String activate_url;
	/**
	 * 自定义会员信息类目，会员卡激活后显示。
	 */
	private CustomCell   custom_cell1;
	/**
	 * bonus_rule	否	json结构	见上述示例	积分规则。用于微信买单功能。
	 */
	private  BonusRule   bonus_rule;
	/**
	 * discount	否	int	10	折扣，该会员卡享受的折扣优惠,填10就是九折。
	 */
	private Integer discount;
	
	
	private String background_pic_url; //商家自定义背景
	
	public String getPrerogative() {
		return prerogative;
	}
	public void setPrerogative(String prerogative) {
		this.prerogative = prerogative;
	}
	public boolean isAuto_activate() {
		return auto_activate;
	}
	public void setAuto_activate(boolean auto_activate) {
		this.auto_activate = auto_activate;
	}
	
	public String getBonus_url() {
		return bonus_url;
	}
	public void setBonus_url(String bonus_url) {
		this.bonus_url = bonus_url;
	}

	public String getBalance_url() {
		return balance_url;
	}
	public void setBalance_url(String balance_url) {
		this.balance_url = balance_url;
	}
	public CustomField getCustom_field1() {
		return custom_field1;
	}
	public void setCustom_field1(CustomField custom_field1) {
		this.custom_field1 = custom_field1;
	}
	public CustomField getCustom_field2() {
		return custom_field2;
	}
	public void setCustom_field2(CustomField custom_field2) {
		this.custom_field2 = custom_field2;
	}
	public CustomField getCustom_field3() {
		return custom_field3;
	}
	public void setCustom_field3(CustomField custom_field3) {
		this.custom_field3 = custom_field3;
	}
	public String getBonus_cleared() {
		return bonus_cleared;
	}
	public void setBonus_cleared(String bonus_cleared) {
		this.bonus_cleared = bonus_cleared;
	}
	public String getBonus_rules() {
		return bonus_rules;
	}
	public void setBonus_rules(String bonus_rules) {
		this.bonus_rules = bonus_rules;
	}
	public String getBalance_rules() {
		return balance_rules;
	}
	public void setBalance_rules(String balance_rules) {
		this.balance_rules = balance_rules;
	}
	public String getActivate_url() {
		return activate_url;
	}
	public void setActivate_url(String activate_url) {
		this.activate_url = activate_url;
	}
	public CustomCell getCustom_cell1() {
		return custom_cell1;
	}
	public void setCustom_cell1(CustomCell custom_cell1) {
		this.custom_cell1 = custom_cell1;
	}
	public BonusRule getBonus_rule() {
		return bonus_rule;
	}
	public void setBonus_rule(BonusRule bonus_rule) {
		this.bonus_rule = bonus_rule;
	}

	public BaseInfo getBase_info() {
		return base_info;
	}
	public void setBase_info(BaseInfo base_info) {
		this.base_info = base_info;
	}
	public Boolean getAuto_activate() {
		return auto_activate;
	}
	public void setAuto_activate(Boolean auto_activate) {
		this.auto_activate = auto_activate;
	}
	public Boolean getWx_activate() {
		return wx_activate;
	}
	public void setWx_activate(Boolean wx_activate) {
		this.wx_activate = wx_activate;
	}
	public Boolean getSupply_bonus() {
		return supply_bonus;
	}
	public void setSupply_bonus(Boolean supply_bonus) {
		this.supply_bonus = supply_bonus;
	}
	public Boolean getSupply_balance() {
		return supply_balance;
	}
	public void setSupply_balance(Boolean supply_balance) {
		this.supply_balance = supply_balance;
	}
	public Integer getDiscount() {
		return discount;
	}
	public void setDiscount(Integer discount) {
		this.discount = discount;
	}
	public String getBackground_pic_url() {
		return background_pic_url;
	}
	public void setBackground_pic_url(String background_pic_url) {
		this.background_pic_url = background_pic_url;
	}
	
	
	
}
